#!/bin/sh
# *******************************************************************
# * Licensed Materials - Property of IBM
# * Tivoli Common Agent Manager
# * CTGEM
# * Copyright IBM Corp. 2003, 2004. All Rights Reserved
# *
# * US Government Users Restricted Rights - Use, duplication or
# * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# *******************************************************************

# exporting JAVA_HOME if it is set properly
if [ "$JAVA_HOME" != "" ]
then 
	export JAVA_HOME
else
	echo "JAVA_HOME environment variable is not set"
    exit 1
fi

LIB=../lib
exec $JAVA_HOME/bin/java -cp $LIB/adapter.jar:$LIB/commons-beanutils.jar:$LIB/commons-logging-1.1.jar:$LIB/icl.jar -Dcom.tivoli.agentmgr.backup.adapter.factory=com.tivoli.agentmgr.backup.adapter.was.WASAdapterFactory -Djava.util.logging.config.file=../config/adapterLogging.properties com.tivoli.agentmgr.backup.adapter.BackupAdapterMain "$@"
rc=$?
echo $rc
